# Token

## updateToken

> This method updates the token used to communicate to an external base

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/token":{"post":{"tags":["Token"],"operationId":"updateToken","summary":"updateToken","description":"This method updates the token used to communicate to an external base","requestBody":{"content":{"application/json":{"schema":{"type":"object"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GetStatusResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"GetStatusResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/SystemStatus"}}},"SystemStatus":{"type":"object","properties":{"psbioStatus":{"type":"string","enum":["INACTIVE","ACTIVE"]},"spidxStatus":{"type":"string","enum":["INACTIVE","ACTIVE"]},"gbdsStatus":{"type":"string","enum":["INACTIVE","ACTIVE"]},"idnStatus":{"type":"string","enum":["INACTIVE","ACTIVE"]}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```
